#!/bin/sh

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/classification.config.new
config etc/gen-msg.map.new
config etc/reference.config.new
config etc/sid-msg.map.new
config etc/snort.conf.new
config etc/threshold.conf.new
config etc/unicode.map.new
( cd usr/lib/snort_dynamicrules ; rm -rf lib_sfdynamic_example_rule.so.0 )
( cd usr/lib/snort_dynamicrules ; ln -sf lib_sfdynamic_example_rule.so.0.0.0 lib_sfdynamic_example_rule.so.0 )
( cd usr/lib/snort_dynamicrules ; rm -rf lib_sfdynamic_example_rule.so )
( cd usr/lib/snort_dynamicrules ; ln -sf lib_sfdynamic_example_rule.so.0.0.0 lib_sfdynamic_example_rule.so )
( cd usr/lib/snort_dynamicengine ; rm -rf libsf_engine.so )
( cd usr/lib/snort_dynamicengine ; ln -sf libsf_engine.so.0.0.0 libsf_engine.so )
( cd usr/lib/snort_dynamicengine ; rm -rf libsf_engine.so.0 )
( cd usr/lib/snort_dynamicengine ; ln -sf libsf_engine.so.0.0.0 libsf_engine.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dce2_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dce2_preproc.so.0.0.0 libsf_dce2_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dcerpc_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dcerpc_preproc.so.0.0.0 libsf_dcerpc_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dns_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dns_preproc.so.0.0.0 libsf_dns_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_smtp_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_smtp_preproc.so.0.0.0 libsf_smtp_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf lib_sfdynamic_preprocessor_example.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf lib_sfdynamic_preprocessor_example.so.0.0.0 lib_sfdynamic_preprocessor_example.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dns_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dns_preproc.so.0.0.0 libsf_dns_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_smtp_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_smtp_preproc.so.0.0.0 libsf_smtp_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dce2_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dce2_preproc.so.0.0.0 libsf_dce2_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ssh_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ssh_preproc.so.0.0.0 libsf_ssh_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ftptelnet_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ftptelnet_preproc.so.0.0.0 libsf_ftptelnet_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf lib_sfdynamic_preprocessor_example.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf lib_sfdynamic_preprocessor_example.so.0.0.0 lib_sfdynamic_preprocessor_example.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ssh_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ssh_preproc.so.0.0.0 libsf_ssh_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dcerpc_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dcerpc_preproc.so.0.0.0 libsf_dcerpc_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ftptelnet_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ftptelnet_preproc.so.0.0.0 libsf_ftptelnet_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ssl_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ssl_preproc.so.0.0.0 libsf_ssl_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ssl_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ssl_preproc.so.0.0.0 libsf_ssl_preproc.so.0 )
